Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154979 - Kernel rpm build fails with "File listed twice" /boot/System.map-* and /boot/config-*
Summary: Kernel rpm build fails with "File listed twice" /boot/System.map-* and /boot/...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 09:56 UTC by Tomasz Ostrowski
Modified: 2015-01-04 22:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-21 23:00:08 UTC


Attachments (Terms of Use)
Changes to kernel build files (deleted)
2005-04-15 09:56 UTC, Tomasz Ostrowski
no flags Details | Diff

Description Tomasz Ostrowski 2005-04-15 09:56:02 UTC
Description of problem:
I was trying to build custom kernel for my environment - I need Cyclades driver,
which is not included in distribution kernel. I made it to compile optimised for
my processor (Pentium III). All the changes I made are in attached file in diff
format.

I made also a link ~/bin/gcc to /usr/bin/gcc4. ~/bin is is the first directory
in my $PATH.

"rpmbuild -ba kernel-2.6.spec --target=i686" fails with:
RPM build errors:
    File listed twice: /boot/System.map-2.6.11-1.14_FC3szalupa
    File listed twice: /boot/config-2.6.11-1.14_FC3szalupa
    Installed (but unpackaged) file(s) found:
   /usr/lib/debug/lib/modules/2.6.11-1.14_FC3szalupa/vmlinux

In %files section of kernel-2.6.spec file there is:
/%{image_install_path}/*-%{KVERREL}
/boot/System.map-%{KVERREL}
/boot/config-%{KVERREL}
When %{image_install_path} macro has value: "boot". So the files are indeed
listed twice.

I don't know why the "unpackaged files" bug occured.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3

Comment 1 Tomasz Ostrowski 2005-04-15 09:56:02 UTC
Created attachment 113216 [details]
Changes to kernel build files

Comment 2 Tomasz Ostrowski 2005-04-15 10:06:22 UTC
I just found in mailing list archives a possible cause:
%debug_package %{nil}
in .rpmmacros. I'm rebuilding the kernel without it but this will take a couple
of hours.

Comment 3 Dave Jones 2005-04-21 23:00:08 UTC
yes, this is related to the debug package options.
the 'listed twice' messages are just informational.



Note You need to log in before you can comment on or make changes to this bug.